<?php namespace EscapeWork\Manager\Medias\Resize;

use EscapeWork\Manager\Medias\Repositories\Media\MediaRepository;
use EscapeWork\Resize\Resize;

class RecreateSizes
{

    public function recreate(MediaRepository $mediaRepo)
    {
        $sizes  = $mediaRepo->getMediaModelSizes();
        $medias = $mediaRepo->getModelMedias();

        foreach ($medias as $media) {
            $this->recreateSizes($media, $sizes, $mediaRepo->getDirectory());
        }
    }

    public function recreateSizes($media, $sizes, $dir)
    {
        Resize::make(
            $dir,
            $media->file,
            $sizes
        );
    }
}
