<?php
/*
|-------------------------------------------------------------------------------------------
| Rotas do escapework/manager-medias
|
| Algumas configurações podem ser sobreescritas no arquivo de configuração deste pacote
|-------------------------------------------------------------------------------------------
*/

Route::group(array('prefix' => Config::get('manager::url'), 'before' => 'manager.auth'), function()
{
    # medias
    Route::get('midias/{model_id}/{model}', array('as' => 'manager.midias.index', 'uses' => Config::get('manager-medias::controllers.medias.index')));
    Route::post('midias/{model_id}/{model}', array('as' => 'manager.midias.store', 'uses' => Config::get('manager-medias::controllers.medias.store')));
    Route::put('midias/{model_id}/{model}/{id}', array('as' => 'manager.midias.update', 'uses' => Config::get('manager-medias::controllers.medias.update')));
    Route::put('midias/{model_id}/{model}/{id}/order', array('as' => 'manager.midias.order', 'uses' => Config::get('manager-medias::controllers.medias.updateOrder')));
    Route::delete('midias/{model_id}/{model}/{id}', array('as' => 'manager.midias.destroy', 'uses' => Config::get('manager-medias::controllers.medias.destroy')));
    Route::delete('midias/{model_id}/{model}', array('as' => 'manager.midias.destroyAll', 'uses' => Config::get('manager-medias::controllers.medias.destroyAll')));

    # media model sizes
    Route::get('midias-model/sizes', array('as' => 'manager.midias.models.sizes.index', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelSizeController@index'));
    Route::post('midias-model/sizes', array('as' => 'manager.midias.models.sizes.store', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelSizeController@store'));
    Route::delete('midias-model/sizes/{id}', array('as' => 'manager.midias.models.sizes.destroy', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelSizeController@destroy'));

    # media-modals
    Route::get('midias-model', array('as' => 'manager.midias.models.index', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelController@index'));
    Route::get('midias-model/create', array('as' => 'manager.midias.models.create', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelController@create'));
    Route::post('midias-model', array('as' => 'manager.midias.models.store', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelController@store'));
    Route::post('midias-model/{id}/edit', array('as' => 'manager.midias.models.edit', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelController@edit'));
    Route::put('midias-model/{id}', array('as' => 'manager.midias.models.edit', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelController@update'));
    Route::delete('midias-model/{id}', array('as' => 'manager.midias.models.destroy', 'uses' => 'EscapeWork\Manager\Medias\Controllers\MediaModelController@destroy'));
});
